Skip to main content
GET
/
extract
/
jobs
/
{job_id}
Get Job Status
curl --request GET \
  --url https://api.contextual.ai/v1/extract/jobs/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "job_id": "<string>",
  "status": "pending",
  "created_at": "<string>",
  "progress": {
    "completion_percentage": 50,
    "current_step": "<string>",
    "fields_processed": 0,
    "total_fields": 0
  },
  "current_activity": "<string>",
  "schema_id": "<string>",
  "document_id": "<string>",
  "config": {
    "model": "gemini-2.5-flash",
    "per_key_attribution": false,
    "temperature": 0,
    "enable_thinking": true,
    "additional_instructions": "<string>",
    "enable_agentic_array_extraction": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

Response

Successful Response

Response model for job status.

Returns basic job status and progress.

job_id
string
required

Unique ID of the extraction job

status
enum<string>
required

Current status of the job

Available options:
pending,
processing,
retrying,
completed,
failed,
cancelled
created_at
string
required

Timestamp when the job was created

progress
ProgressInfo · object
required

Progress information

current_activity
string
required

Current activity being performed

schema_id
string
required

ID of the schema used for the extraction

document_id
string
required

ID of the document used for the extraction

config
ExtractConfig · object

Configuration used for the extraction job (model, temperature, etc.)